Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.message.stream
Interface DecodedMessageInputStreamSpi

public interface DecodedMessageInputStreamSpi

Service provider interface for DecodedMessageInputStream

Version:
  $Revision: 1.1 $
Author:
  Edwin Woudt

Method Summary
`void` | `engineClose()`
`int` | `engineGetIntegrityResult()`
`int` | `engineGetVerificationResult()`
`void` | `engineInit(java.io.InputStream in, DecryptionKeyCallback dkc, VerificationKeyCallback vkc)`
`int` | `engineRead()`
`int` | `engineRead(byte[] b, int off, int len)`

Method Detail

### engineInit

    public void engineInit(java.io.InputStream in,
                           DecryptionKeyCallback dkc,
                           VerificationKeyCallback vkc)
                    throws java.lang.IllegalStateException,
                           java.io.IOException,
                           MessageStreamException

  Throws:
    `java.lang.IllegalStateException`
    `java.io.IOException`
    `MessageStreamException`

### engineRead

    public int engineRead()
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### engineRead

    public int engineRead(byte[] b,
                          int off,
                          int len)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### engineClose

    public void engineClose()
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### engineGetVerificationResult

    public int engineGetVerificationResult()
                                    throws java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalStateException`

### engineGetIntegrityResult

    public int engineGetIntegrityResult()
                                 throws java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalStateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1999-2003 The Cryptix Foundation Ltd.